
From: "John W. Linville" <linville@tuxdriver.com>

Re-order release_region calls in i810_probe to properly unwind preceding
allocations.

Signed-off-by: John W. Linville <linville@tuxdriver.com>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/oss/i810_audio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN sound/oss/i810_audio.c~i810_audio-fix-release_region-misordering-in-error-exit-from-i810_probe sound/oss/i810_audio.c
--- devel/sound/oss/i810_audio.c~i810_audio-fix-release_region-misordering-in-error-exit-from-i810_probe	2005-08-05 00:32:35.000000000 -0700
+++ devel-akpm/sound/oss/i810_audio.c	2005-08-05 00:32:35.000000000 -0700
@@ -3430,9 +3430,9 @@ out_iospace:
 		release_mem_region(card->iobase_mmio_phys, 256);
 	}
 out_pio:	
-	release_region(card->iobase, 64);
-out_region2:
 	release_region(card->ac97base, 256);
+out_region2:
+	release_region(card->iobase, 64);
 out_region1:
 	pci_free_consistent(pci_dev, sizeof(struct i810_channel)*NR_HW_CH,
 	    card->channel, card->chandma);
_
